model_actions = ["model_deleted"]
model_app = "authentik_core"
model_name = "user"

event = request.context.get("event", None)
if not event:
    ak_logger.info("delete_user: No event")
    return False
if event.action not in model_actions:
    ak_logger.info("delete_user: Non-matching action")
    return False
if (
    event.context["model"]["app"] != model_app
    or event.context["model"]["model_name"] != model_name
):
    ak_logger.info("delete_user: Invalid model")
    return False

ak_logger.info(f'model: {event.context["model"]}')
